Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056553 - [abrt] libreoffice-core: SfxBroadcaster::Broadcast(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: SfxBroadcaster::Broadcast(): soffice.bin killed by S...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c745aab64d05efcabfe76e964a0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 13:09 UTC by Zdenek Chmelar
Modified: 2014-06-30 20:47 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-03 20:27:22 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-22 13:10 UTC, Zdenek Chmelar
no flags Details
File: cgroup (deleted)
2014-01-22 13:10 UTC, Zdenek Chmelar
no flags Details
File: core_backtrace (deleted)
2014-01-22 13:10 UTC, Zdenek Chmelar
no flags Details
File: dso_list (deleted)
2014-01-22 13:10 UTC, Zdenek Chmelar
no flags Details
File: environ (deleted)
2014-01-22 13:10 UTC, Zdenek Chmelar
no flags Details
File: exploitable (deleted)
2014-01-22 13:10 UTC, Zdenek Chmelar
no flags Details
File: limits (deleted)
2014-01-22 13:10 UTC, Zdenek Chmelar
no flags Details
File: maps (deleted)
2014-01-22 13:10 UTC, Zdenek Chmelar
no flags Details
File: open_fds (deleted)
2014-01-22 13:10 UTC, Zdenek Chmelar
no flags Details
File: proc_pid_status (deleted)
2014-01-22 13:10 UTC, Zdenek Chmelar
no flags Details
File: var_log_messages (deleted)
2014-01-22 13:10 UTC, Zdenek Chmelar
no flags Details

Description Zdenek Chmelar 2014-01-22 13:09:58 UTC
Description of problem:
Writer crashed during editing of drawing objects.

Version-Release number of selected component:
libreoffice-core-4.1.4.2-2.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/zdenek/Documents/Bacardi/Procedure.Manual/SOD%20Cloud%20Communication%20rs%20V1.2.doc --splash-pipe=5
crash_function: SfxBroadcaster::Broadcast
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.12.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SfxBroadcaster::Broadcast at /usr/src/debug/libreoffice-4.1.4.2/svl/source/notify/brdcst.cxx:47
 #1 SvxTextEditSourceImpl::NotifyHdl at /usr/src/debug/libreoffice-4.1.4.2/svx/source/unodraw/unoshtxt.cxx:995
 #2 Call at /usr/src/debug/libreoffice-4.1.4.2/include/tools/link.hxx:123
 #3 Outliner::ImplBlockInsertionCallbacks at /usr/src/debug/libreoffice-4.1.4.2/editeng/source/outliner/outliner.cxx:2089
 #4 SdrTextObj::EndTextEdit at /usr/src/debug/libreoffice-4.1.4.2/svx/source/svdraw/svdotxed.cxx:272
 #5 SdrObjEditView::SdrEndTextEdit at /usr/src/debug/libreoffice-4.1.4.2/svx/source/svdraw/svdedxv.cxx:851
 #6 SwFEShell::EndTextEdit at /usr/src/debug/libreoffice-4.1.4.2/sw/source/core/frmedt/feshview.cxx:1032
 #7 SwEditWin::EnterDrawMode at /usr/src/debug/libreoffice-4.1.4.2/sw/source/ui/docvw/edtwin.cxx:4791
 #8 SwEditWin::MouseButtonDown at /usr/src/debug/libreoffice-4.1.4.2/sw/source/ui/docvw/edtwin.cxx:2910
 #9 ImplHandleMouseEvent at /usr/src/debug/libreoffice-4.1.4.2/vcl/source/window/winproc.cxx:790

Comment 1 Zdenek Chmelar 2014-01-22 13:10:05 UTC
Created attachment 853862 [details]
File: backtrace

Comment 2 Zdenek Chmelar 2014-01-22 13:10:07 UTC
Created attachment 853863 [details]
File: cgroup

Comment 3 Zdenek Chmelar 2014-01-22 13:10:09 UTC
Created attachment 853864 [details]
File: core_backtrace

Comment 4 Zdenek Chmelar 2014-01-22 13:10:14 UTC
Created attachment 853865 [details]
File: dso_list

Comment 5 Zdenek Chmelar 2014-01-22 13:10:21 UTC
Created attachment 853866 [details]
File: environ

Comment 6 Zdenek Chmelar 2014-01-22 13:10:24 UTC
Created attachment 853867 [details]
File: exploitable

Comment 7 Zdenek Chmelar 2014-01-22 13:10:29 UTC
Created attachment 853868 [details]
File: limits

Comment 8 Zdenek Chmelar 2014-01-22 13:10:31 UTC
Created attachment 853869 [details]
File: maps

Comment 9 Zdenek Chmelar 2014-01-22 13:10:33 UTC
Created attachment 853870 [details]
File: open_fds

Comment 10 Zdenek Chmelar 2014-01-22 13:10:35 UTC
Created attachment 853871 [details]
File: proc_pid_status

Comment 11 Zdenek Chmelar 2014-01-22 13:10:40 UTC
Created attachment 853872 [details]
File: var_log_messages

Comment 12 David Tardon 2014-01-22 13:44:10 UTC
Is the crash reproducible?

Comment 13 Zdenek Chmelar 2014-06-30 20:47:54 UTC
I'm sorry for no feedback so far but I wasn't able to reproduce the problem.
Bug closure is OK. Thank you


Note You need to log in before you can comment on or make changes to this bug.